<ion-modal-view cache-view="false">
    <ion-header-bar class="fix-buttons custom-bar">
        <a ng-click="closeNewClientModal()">
            <i class="icon-chevron-left"></i>
        </a>
        <div class="title title-center header-item" style="transition-duration: 0ms; transform: translate3d(0px, 0px, 0px); left: 25px; right: 25px;">Novo cliente</div>
    </ion-header-bar>
    <ion-content class="">
        <div class="clients-new row">
            <div class="col">
                <p>Informações do Cliente</p>
                <form name="clientForm" novalidate ng-submit="saveClient( clientForm, cliente )">
                    <ion-list class="form">
                        <ion-item class="item item-input">
                            <label>
                                <input ng-model="cliente.full_name" type="text" required name="full_name" fp-floating-label-input>
                                <span class="md-highlight"></span>
                                <span class="md-bar"></span>
                                <label class="input-label">Nome Completo</label>
                                <div class="error-container" ng-show="clientForm.full_name.$touched || clientForm.$submitted" ng-messages="clientForm.full_name.$error">
                                    <div ng-messages-include="templates/error-list.html"></div>
                                </div>
                            </label>
                        </ion-item>
                        <ion-item class="item item-input">
                            <label>
                                <input ng-model="cliente.email" type="email" required name="email" fp-floating-label-input>
                                <span class="md-highlight"></span>
                                <span class="md-bar"></span>
                                <label class="input-label">Email</label>
                                <div class="error-container" ng-show="clientForm.email.$touched || clientForm.$submitted" ng-messages="clientForm.email.$error">
                                    <div ng-messages-include="templates/error-list.html"></div>
                                </div>
                            </label>
                        </ion-item>
                        <ion-item class="item">
                            <label class="input-label">Tipo de pessoa</label>
                            <div class="row">
                                <div class="col col-20">
                                    <label><input type="radio" name="type" ng-model="client.type" value="cpf"><span>CPF</span></label>
                                </div>
                                <div class="col col-20">
                                    <label><input type="radio" name="type" ng-model="client.type" value="cnpj"><span>CNPJ</span></label>
                                </div>
                            </div>
                        </ion-item>
                        <ion-item class="item item-input" ng-if="client.type == 'cpf' ">
                            <label>
                                <input ng-model="cliente.cpf" type="tel" name="cpf" fp-floating-label-input mask="999.999.999-99" mask-clean="true">
                                <span class="md-highlight"></span>
                                <span class="md-bar"></span>
                                <label class="input-label">CPF</label>
                                <div class="error-container" ng-show="clientForm.cpf.$touched || clientForm.$submitted" ng-messages="clientForm.cpf.$error">
                                    <div ng-messages-include="templates/error-list.html"></div>
                                </div>
                            </label>
                        </ion-item>
                        <ion-item class="item item-input" ng-if="client.type=='cnpj'">
                            <label>
                                <input ng-model="cliente.cnpj" type="tel" name="cnpj" fp-floating-label-input mask="99.999.999/9999-99" mask-clean="true">
                                <span class="md-highlight"></span>
                                <span class="md-bar"></span>
                                <label class="input-label">CNPJ</label>
                                <div class="error-container" ng-show="clientForm.cpf.$touched || clientForm.$submitted" ng-messages="clientForm.cpf.$error">
                                    <div ng-messages-include="templates/error-list.html"></div>
                                </div>
                            </label>
                        </ion-item>
                        <ion-item class="item item-input">
                            <label>
                                <input ng-model="cliente.phone" type="tel" name="phone" fp-floating-label-input mask="(99) 9?9999-9999" mask-clean="true">
                                <span class="md-highlight"></span>
                                <span class="md-bar"></span>
                                <label class="input-label">Telefone</label>
                                <div class="error-container" ng-show="clientForm.phone.$touched || clientForm.$submitted" ng-messages="clientForm.phone.$error">
                                    <div ng-messages-include="templates/error-list.html"></div>
                                </div>
                            </label>
                        </ion-item>
                        <ion-item class="item item-input">
                            <label>
                                <input ng-model="cliente.address" type="text" name="address" fp-floating-label-input>
                                <span class="md-highlight"></span>
                                <span class="md-bar"></span>
                                <label class="input-label">Endereço completo</label>
                                <div class="error-container" ng-show="clientForm.address.$touched || clientForm.$submitted" ng-messages="clientForm.address.$error">
                                    <div ng-messages-include="templates/error-list.html"></div>
                                </div>
                            </label>
                        </ion-item>
                    </ion-list>
                    <button type="submit" class="col col-66 edit-btn">
                        <i class="ion-android-person-add"></i>
                        Salvar cliente
                    </button>
                </form>
            </div>
        </div>
    </ion-content>
</ion-modal-view>
